import { TypeHeaderProps, TypeFooterProps, TypeAsideProps } from './type';
import './style';
export * from './type';
export declare type HeaderProps = TypeHeaderProps;
export declare type FooterProps = TypeFooterProps;
export declare type AsideProps = TypeAsideProps;
export declare const Aside: import("vue/types/vue").ExtendedVue<import("./aside").AsideInstance, {}, unknown, unknown, {
    width: string;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("./aside").AsideInstance, {}, unknown, unknown, {
    width: string;
}>>;
export declare const Layout: import("vue/types/vue").ExtendedVue<import("vue").default, {
    hasSider: boolean;
}, {
    renderContent(): any;
}, {
    classes: import("../../common.type").ClassName;
}, Record<keyof import("vue").default, any>> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("vue").default, {
    hasSider: boolean;
}, {
    renderContent(): any;
}, {
    classes: import("../../common.type").ClassName;
}, Record<keyof import("vue").default, any>>>;
export declare const Header: import("vue/types/vue").ExtendedVue<import("vue").default, unknown, unknown, unknown, {
    height: string;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("vue").default, unknown, unknown, unknown, {
    height: string;
}>>;
export declare const Footer: import("vue/types/vue").ExtendedVue<import("vue").default, unknown, {
    renderContent(): "" | import("vue").VNode[];
}, unknown, {
    height: string;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("vue").default, unknown, {
    renderContent(): "" | import("vue").VNode[];
}, unknown, {
    height: string;
}>>;
export declare const Content: import("vue/types/vue").ExtendedVue<import("vue").default, unknown, unknown, unknown, Record<never, any>> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("vue").default, unknown, unknown, unknown, Record<never, any>>>;
export default Layout;
